Skip to main content

Get last task run's default request queue head

GET 

/v2/actor-tasks/:actorTaskId/runs/last/request-queue/head

Returns the given number of first requests from the default request queue of the last Actor task run.

This endpoint is a shortcut for getting the last task run's defaultRequestQueueId and then using the Get head endpoint.

Request

Path Parameters

    actorTaskId string required

    Task ID or a tilde-separated owner's username and task's name.


    Example: janedoe~my-task

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    limit double

    How many items from queue should be returned.


    Example: 100
    clientKey string

    A unique identifier of the client accessing the request queue. It must be a string between 1 and 32 characters long. This identifier is used to determine whether the queue was accessed by multiple clients. If clientKey is not provided, the system considers this API call to come from a new client. For details, see the hadMultipleClients field returned by the Get head operation.


    Example: client-abc

Status 200

Response Headers
    {
    "data": {
    "limit": 1000,
    "queueModifiedAt": "2018-03-14T23:00:00.000Z",
    "hadMultipleClients": false,
    "items": [
    {
    "id": "8OamqXBCpPHxyH9",
    "retryCount": 0,
    "uniqueKey": "http://example.com",
    "url": "http://example.com",
    "method": "GET"
    },
    {
    "id": "ZJAoqlRijenMQIn",
    "retryCount": 0,
    "uniqueKey": "http://example.com/a/b",
    "url": "http://example.com/a/b",
    "method": "GET"
    },
    {
    "id": "hAhkwyk5oOBHKQC",
    "retryCount": 1,
    "uniqueKey": "http://example.com/c/d",
    "url": "http://example.com/c/d",
    "method": "GET"
    }
    ]
    }
    }